QGIS Application - Bug report #11885
Add WMS layer throw python console -> QGIS Crash
2014-12-18 04:20 AM - Evgeniy Nikulin

Status: Closed

Priority: High

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:2.6.0 Regression?: No
Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corruptsdata: Copied to github as #: 20099
Description

| try to add wms layer to the map:

http://maps.rosreestr.ru/arcgis/services/Cadastre/CadastreWMS/MapServer/WMSServer?

If I use the GUI, then everything is fine.
But when | try to add throw Python console, the qgis crashes.

My code :
wms_url ="'
http://maps.rosreestr.ru/arcgis/services/Cadastre/Cadastre WMS/MapServer/WMSServer ?format=image/png&layers=1&styles=
crs=EPSG:3857"
layer = QgsRasterLayer('url=%s' % wms_url, 'Test WMS', 'wms')
if not layer.isValid():
QgsMessagelog.logMessage('ops', level=QgsMessagelLog.CRITICAL)
else:
QgsMapLayerRegistry.instance().addMapLayer(layer)

If the URL contains only one sublayer - it's work.
Change url to:

http://maps.rosreestr.ru/arcgis/services/Cadastre/Cadastre WMS/MapServer/WMSServer?format=image/png&layers=1,2&styles=
&crs=EPSG:3857

and oops...

History

#1 - 2014-12-23 01:32 AM - Sandro Santilli
- Tag set to wms

#2 - 2015-03-17 04:57 PM - Nyall Dawson

The issue is that your layer URI isn't complete. Try using:

wms_uri =
https://gist.github.com/yellow-sky/e2b4ff752c49aef887e0

'crs=EPSG:3857&format=image/jpeg&layers=1&layers=2&styles=default&styles=default&url=http://maps.rosreestr.ru/arcgis/services/Cadastre/Cadastre WMS
adastreWMS/MapServer/WMSServer ?format%3Dimage/png%26layers%3D1,2%26styles%3D%26crs%3DEPSG:3857"
layer = QgsRasterLayer(wms_uri, 'Test WMS', 'wms')

#3 - 2015-03-17 04:57 PM - Nyall Dawson
- Status changed from Open to Feedback

#4 - 2015-05-27 07:58 AM - Giovanni Manghi
- Priority changed from Normal to High

#5 - 2015-10-05 04:56 AM - Jurgen Fischer
- Resolution set to worksforme

- Status changed from Feedback to Closed

closing for the lack of feedback

2025-04-27 22



